### Virtual Method

# Camel MessageInfo load

since: 3.24

#### Declaration [src]

    gboolean
    load (
      CamelMessageInfo* mi,
      const CamelStoreDBMessageRecord* record,
      gchar** bdata_ptr
    )

#### Description [src]

Load content of `mi` from the data stored in `record`. The `bdata_ptr` points to the current position of the record->bdata, where the read can continue. Use helper functions `camel_util_bdata_get_number()` and `camel_util_bdata_get_string()` to read data from it and also move forward the *bdata_ptr.

After successful load of the `mi`, the ‘dirty’ flag is unset.

Available since: 3.24

#### Parameters

`record`

  Type: `CamelStoreDBMessageRecord`

  A `CamelStoreDBMessageRecord` to load the `mi` from.

  The data is owned by the caller of the method.

`bdata_ptr`

  Type: `gchar**`

  A backend specific data (bdata) pointer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the load was successful.